__kernel void matrix_add(__global const float *A,
						 __global const float *B,		
						 __global float *C,				
						 int height,
						 int width)						
{														
	int i = get_global_id(0);
	int j = get_global_id(1);

	if (i < height && j < width)
		C[width*i+j] = A[width*i+j] + B[width*i+j];
}														
