__kernel void matrix_add(__global const float *A,
						 __global const float *B,		
						 __global float *C,				
						 int height,
						 int width)						
{														
	int i = get_global_id(0);

	if (i < height * width)
		C[i] = A[i] + B[i];
}														
